Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec

Enclosing class:
  ServerHttpSecurity.OAuth2ResourceServerSpec

public class ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec extends Object
Configures JWT Resource Server Support

## Constructor Summary

Constructors
Constructor
Description
`JwtSpec()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity.OAuth2ResourceServerSpec`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec`
`authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)`
Configures the `ReactiveAuthenticationManager` to use
`protected void`
`configure(ServerHttpSecurity http)`
`protected org.springframework.core.convert.converter.Converter<org.springframework.security.oauth2.jwt.Jwt,? extends reactor.core.publisher.Mono<? extends org.springframework.security.authentication.AbstractAuthenticationToken>>`
`getJwtAuthenticationConverter()`
`protected org.springframework.security.oauth2.jwt.ReactiveJwtDecoder`
`getJwtDecoder()`
`ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec`
`jwkSetUri(String jwkSetUri)`
Configures a `ReactiveJwtDecoder` using JSON Web Key (JWK) URL
`ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec`
`jwtAuthenticationConverter(org.springframework.core.convert.converter.Converter<org.springframework.security.oauth2.jwt.Jwt,? extends reactor.core.publisher.Mono<? extends org.springframework.security.authentication.AbstractAuthenticationToken>> jwtAuthenticationConverter)`
Configures the `Converter` to use for converting a `Jwt` into an `AbstractAuthenticationToken`.
`ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec`
`jwtDecoder(org.springframework.security.oauth2.jwt.ReactiveJwtDecoder jwtDecoder)`
Configures the `ReactiveJwtDecoder` to use
`ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec`
`publicKey(RSAPublicKey publicKey)`
Configures a `ReactiveJwtDecoder` that leverages the provided `RSAPublicKey`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JwtSpec

public JwtSpec()

## Method Details

### authenticationManager

public ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)
Configures the `ReactiveAuthenticationManager` to use

Parameters:
  `authenticationManager` - the authentication manager to use
Returns:
  the `JwtSpec` for additional configuration

### jwtAuthenticationConverter

public ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec jwtAuthenticationConverter(org.springframework.core.convert.converter.Converter<org.springframework.security.oauth2.jwt.Jwt,? extends reactor.core.publisher.Mono<? extends org.springframework.security.authentication.AbstractAuthenticationToken>> jwtAuthenticationConverter)
Configures the `Converter` to use for converting a `Jwt` into an `AbstractAuthenticationToken`.

Parameters:
  `jwtAuthenticationConverter` - the converter to use
Returns:
  the `JwtSpec` for additional configuration
Since:
  5.1.1

### jwtDecoder

public ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec jwtDecoder(org.springframework.security.oauth2.jwt.ReactiveJwtDecoder jwtDecoder)
Configures the `ReactiveJwtDecoder` to use

Parameters:
  `jwtDecoder` - the decoder to use
Returns:
  the `JwtSpec` for additional configuration

### publicKey

public ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec publicKey(RSAPublicKey publicKey)
Configures a `ReactiveJwtDecoder` that leverages the provided `RSAPublicKey`

Parameters:
  `publicKey` - the public key to use.
Returns:
  the `JwtSpec` for additional configuration

### jwkSetUri

public ServerHttpSecurity.OAuth2ResourceServerSpec.JwtSpec jwkSetUri(String jwkSetUri)
Configures a `ReactiveJwtDecoder` using JSON Web Key (JWK) URL

Parameters:
  `jwkSetUri` - the URL to use.
Returns:
  the `JwtSpec` for additional configuration

### and

@Deprecated(since="6.1", forRemoval=true) public ServerHttpSecurity.OAuth2ResourceServerSpec and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `ServerHttpSecurity.OAuth2ResourceServerSpec.jwt(Customizer)` or `jwt(Customizer.withDefaults())` to stick with defaults. See the documentation for more details.

### configure

protected void configure(ServerHttpSecurity http)

### getJwtDecoder

protected org.springframework.security.oauth2.jwt.ReactiveJwtDecoder getJwtDecoder()

### getJwtAuthenticationConverter

protected org.springframework.core.convert.converter.Converter<org.springframework.security.oauth2.jwt.Jwt,? extends reactor.core.publisher.Mono<? extends org.springframework.security.authentication.AbstractAuthenticationToken>> getJwtAuthenticationConverter()